# Root category set to INFO
log4j.rootCategory=INFO, STDOUT

# Set options for appender named "STDOUT". 
# Appender "STDOUT" will be a FileAppender
log4j.appender.STDOUT=org.apache.log4j.ConsoleAppender
log4j.appender.STDOUT.layout=org.apache.log4j.PatternLayout
log4j.appender.STDOUT.layout.ConversionPattern=%-4r %-5p %c{2} %M.%L %x - %m\n


# Categories of the inference engine
# log4j.category.MANDARAX.IE=DEBUG, STDOUT
# log4j.category.MANDARAX.IE.LOOPCHECK=DEBUG, STDOUT
# log4j.category.MANDARAX.IE.RESULT=DEBUG, STDOUT
# log4j.category.MANDARAX.IE.STEP=DEBUG, STDOUT
# log4j.category.MANDARAX.IE.UNIFICATION=DEBUG, STDOUT

# Categoroes of the knowledge base	
# log4j.category.MANDARAX.KB=DEBUG, STDOUT
# log4j.category.MANDARAX.KB.ADD=DEBUG, STDOUT
# log4j.category.MANDARAX.KB.REMOVE=DEBUG, STDOUT
# log4j.category.MANDARAX.KB.EVENT=DEBUG, STDOUT
# log4j.category.MANDARAX.KB.MOVE=DEBUG, STDOUT

# Categories for test cases
# log4j.category.MANDARAX.TESTS=DEBUG, STDOUT

# Categories for SQL support
# log4j.category.MANDARAX.SQL=DEBUG, STDOUT

# Categories for the logic factory
# log4j.category.MANDARAX.LF=DEBUG, STDOUT

# Categories for the XML knowledgebase
# log4j.category.MANDARAX.XKB=DEBUG, STDOUT
